package com.roomerror

import androidx.room.Dao
import androidx.room.Query

@Dao
interface FooDao: BaseDao<Long, Foo> {

    @Query("select * from foo where id=:id")
    override fun getItem(id: Long): Foo?

    @Query("delete from foo where id=:id")
    override fun delete(id: Long)

}